// WsClient1.java

package org.objectweb.jonas.jtests.beans.wsclient;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;
import javax.xml.rpc.ServiceException;

/**
 * WsClient1 remote interface
 */
public interface WsClient1 extends EJBObject {
    public boolean lookupServiceJNDI() throws RemoteException;
    public boolean lookupServiceName() throws RemoteException;
    public void getAllServiceNames() throws RemoteException, ServiceException;
}
